"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const typedoc_1 = require("typedoc");
const sdk_index_link_client_1 = require("./sdk-index-link-client");
function load(app) {
    app.options.addDeclaration({
        name: "clientDocs",
        help: 'The path pattern denotes the location of individual service client doc. "{{CLIENT}}" will be replaced with the ' +
            "client name. For example: `path/{{CLIENT}}/docs` will target service docs at `path/service/docs`",
        defaultValue: "docs/clients/{{CLIENT}}/docs",
        type: typedoc_1.ParameterType.String,
    });
    app.options.addDeclaration({
        name: "defaultGroup",
        help: "Default group to place categories as children",
        defaultValue: "Modules",
        type: typedoc_1.ParameterType.String,
    });
    new sdk_index_link_client_1.SdkIndexLinkClientPlugin(app.options, app.logger, app.renderer);
}
exports.load = load;
