import { Logger, Options, Renderer } from "typedoc";
export declare class SdkIndexLinkClientPlugin {
    readonly options: Options;
    readonly logger: Logger;
    private readonly renderer;
    readonly outputDirectory: string;
    /**
     * The path pattern denotes the location of individual service client doc.
     * "{{CLIENT}}" will be replaced with the client name.
     * For example: `path/{{CLIENT}}/docs` will target service docs at `path/service/docs`
     */
    readonly clientDocs: string;
    readonly defaultGroup: string;
    constructor(options: Options, logger: Logger, renderer: Renderer);
    private onConverterEnd;
    private onPageBegin;
    private registerClients;
    /**
     * Define navigation categories in Client, Packages and Libraries sections. It will update the
     * supplied categories array.
     *
     * @param group   The parent group where the categories will be placed under.
     * @param reflections   The reflections that should be categorized.
     */
    private defineCategories;
    private isCategorized;
    private isClient;
    private isLib;
}
